import { ChoiceModalType, ModalProps, NotificationType, SystemState } from '../types';
export declare const setSideMenuIsOpened: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "systemSlice/setSideMenuIsOpened">, openModal: import("@reduxjs/toolkit").ActionCreatorWithPayload<ModalProps, "systemSlice/openModal">, closeModal: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"systemSlice/closeModal">, openChoiceModal: import("@reduxjs/toolkit").ActionCreatorWithPayload<ChoiceModalType, "systemSlice/openChoiceModal">, closeChoiceModal: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"systemSlice/closeChoiceModal">, setModalCanBeClosedOnEscape: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "systemSlice/setModalCanBeClosedOnEscape">, setModalSize: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    width?: number | undefined;
    height?: number | undefined;
}, "systemSlice/setModalSize">, openNotification: import("@reduxjs/toolkit").ActionCreatorWithPayload<NotificationType, "systemSlice/openNotification">, closeNotification: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"systemSlice/closeNotification">, setFullScreen: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "systemSlice/setFullScreen">, setSpinner: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "systemSlice/setSpinner">;
export declare const selectModal: (state: {
    system: SystemState;
}) => import("../types").ModalType;
export declare const selectChoiceModal: (state: {
    system: SystemState;
}) => ChoiceModalType;
export declare const selectNotification: (state: {
    system: SystemState;
}) => NotificationType;
export declare const selectSideMenuIsOpened: (state: {
    system: SystemState;
}) => boolean | null;
export declare const selectIsFullScreen: (state: {
    system: SystemState;
}) => boolean;
export declare const selectSpinner: (state: {
    system: SystemState;
}) => import("../types").SpinnerType;
declare const _default: import("redux").Reducer<SystemState>;
export default _default;
